using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace XmlNodeCopy
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Open the reader with the source XML file
            XmlTextReader myReader = new XmlTextReader("SourceDoc.xml");
            // Load the source of the XML file into an XmlDocument
            XmlDocument mySourceDoc = new XmlDocument();
            // Load the source XML file into the first document
            mySourceDoc.Load(myReader);
            // Close the reader
            myReader.Close();

            // Open the reader with the destination XML file
            myReader = new XmlTextReader("DestinationDoc.xml");
            // Load the source of the XML file into an XmlDocument
            XmlDocument myDestDoc = new XmlDocument();
            // Load the destination XML file into the first document
            myDestDoc.Load(myReader);
            // Close the reader
            myReader.Close();

            // Store the root node of the destination document into an XmlNode
            // The 1 in ChildNodes[1] is the index of the node to be copied (where 0 is the first node)
            XmlNode rootDest = myDestDoc["DestinationRoot"];
            // Store the node to be copied into an XmlNode
            XmlNode nodeOrig = mySourceDoc["SourceRoot"].ChildNodes[1];
            // Store the copy of the original node into an XmlNode
            XmlNode nodeDest = myDestDoc.ImportNode(nodeOrig, true);
            // Append the node being copied to the root of the destination document
            rootDest.AppendChild(nodeDest);

            // Open the writer
            XmlTextWriter myWriter = new XmlTextWriter("DestinationDoc.xml", Encoding.UTF8);
            // Indented for easy reading
            myWriter.Formatting = Formatting.Indented;
            // Write the file
            myDestDoc.WriteTo(myWriter);
            // Close the writer
            myWriter.Close();
        }
    }
}